Name:           lua-socket
Version:        3.0
Release:        0.19
Summary:        Network support for the Lua language
License:        MIT
URL:            https://www.tecgraf.puc-rio.br/~diego/professional/luasocket/
Source0:        https://github.com/diegonehab/luasocket/archive/v3.0-rc1.tar.gz

Patch0:         luasocket-optflags.patch
Patch1:         luasocket-no-global-vars.patch
Patch2:         luasocket-3.0-settimeout.patch

BuildRequires:  gcc lua lua-devel glibc-common
Requires:       lua >= 5.3

%description
LuaSocket is a Lua extension library that is composed by two parts: a C core
that provides support for the TCP and UDP transport layers, and a set of Lua
modules that add support for functionality commonly needed by applications
that deal with the Internet.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header files and libraries for building an extension library for the
Lua using %{name}

%package_help

%prep
%autosetup -n luasocket-3.0-rc1 -p1

%build
%make_build LUAV=5.3 OPTFLAGS="%{optflags} -fPIC"  LDFLAGS="%{?__global_ldflags} -shared -o " linux
/usr/bin/iconv -f ISO8859-1 -t UTF8 LICENSE >LICENSE.UTF8
mv -f LICENSE.UTF8 LICENSE

%install
make install-unix OPTFLAGS="%{optflags}" INSTALL_TOP=$RPM_BUILD_ROOT \
    INSTALL_TOP_CDIR=$RPM_BUILD_ROOT%{_libdir}/lua/5.3 \
    INSTALL_TOP_LDIR=$RPM_BUILD_ROOT%{_datadir}/lua/5.3

install -d $RPM_BUILD_ROOT%{_includedir}/luasocket
install -p src/*.h $RPM_BUILD_ROOT%{_includedir}/luasocket

%files
%defattr(-,root,root)
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_libdir}/lua/5.3/*
%{_datadir}/lua/5.3/*

%files devel
%defattr(-,root,root)
%{_includedir}/luasocket

%files help
%defattr(-,root,root)
%doc README doc/*

%changelog
* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.0-0.19
- Package init
